
package ru.crystals.test.plugins.data;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DoDiscount complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DoDiscount">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="discounts" type="{http://crystals.ru/setapi/test/plugin/loyalty}Discount" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="writeOffLimits" type="{http://crystals.ru/setapi/test/plugin/loyalty}WriteoffLimit" minOccurs="0"/>
 *         &lt;element name="accruals" type="{http://crystals.ru/setapi/test/plugin/loyalty}AccrualResult" minOccurs="0"/>
 *         &lt;element name="takenBonuses" type="{http://crystals.ru/setapi/test/plugin/loyalty}TakenBonuses" minOccurs="0"/>
 *         &lt;element name="receiptAttributes" type="{http://crystals.ru/setapi/test/plugin/loyalty}AttributeEntry" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="cashierMessage" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="slips" type="{http://crystals.ru/setapi/test/plugin/loyalty}PrintSlip" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="customerDisplayMessage" type="{http://crystals.ru/setapi/test/plugin/loyalty}CustomerMessage" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DoDiscount", propOrder = {
    "discounts",
    "writeOffLimits",
    "accruals",
    "takenBonuses",
    "receiptAttributes",
    "cashierMessage",
    "slips",
    "customerDisplayMessage"
})
public class DoDiscount {

    protected List<Discount> discounts;
    protected WriteoffLimit writeOffLimits;
    protected AccrualResult accruals;
    protected TakenBonuses takenBonuses;
    protected List<AttributeEntry> receiptAttributes;
    protected List<String> cashierMessage;
    protected List<PrintSlip> slips;
    protected List<CustomerMessage> customerDisplayMessage;

    /**
     * Gets the value of the discounts property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the discounts property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDiscounts().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Discount }
     * 
     * 
     */
    public List<Discount> getDiscounts() {
        if (discounts == null) {
            discounts = new ArrayList<Discount>();
        }
        return this.discounts;
    }

    /**
     * Gets the value of the writeOffLimits property.
     * 
     * @return
     *     possible object is
     *     {@link WriteoffLimit }
     *     
     */
    public WriteoffLimit getWriteOffLimits() {
        return writeOffLimits;
    }

    /**
     * Sets the value of the writeOffLimits property.
     * 
     * @param value
     *     allowed object is
     *     {@link WriteoffLimit }
     *     
     */
    public void setWriteOffLimits(WriteoffLimit value) {
        this.writeOffLimits = value;
    }

    /**
     * Gets the value of the accruals property.
     * 
     * @return
     *     possible object is
     *     {@link AccrualResult }
     *     
     */
    public AccrualResult getAccruals() {
        return accruals;
    }

    /**
     * Sets the value of the accruals property.
     * 
     * @param value
     *     allowed object is
     *     {@link AccrualResult }
     *     
     */
    public void setAccruals(AccrualResult value) {
        this.accruals = value;
    }

    /**
     * Gets the value of the takenBonuses property.
     * 
     * @return
     *     possible object is
     *     {@link TakenBonuses }
     *     
     */
    public TakenBonuses getTakenBonuses() {
        return takenBonuses;
    }

    /**
     * Sets the value of the takenBonuses property.
     * 
     * @param value
     *     allowed object is
     *     {@link TakenBonuses }
     *     
     */
    public void setTakenBonuses(TakenBonuses value) {
        this.takenBonuses = value;
    }

    /**
     * Gets the value of the receiptAttributes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the receiptAttributes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReceiptAttributes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttributeEntry }
     * 
     * 
     */
    public List<AttributeEntry> getReceiptAttributes() {
        if (receiptAttributes == null) {
            receiptAttributes = new ArrayList<AttributeEntry>();
        }
        return this.receiptAttributes;
    }

    /**
     * Gets the value of the cashierMessage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cashierMessage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCashierMessage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getCashierMessage() {
        if (cashierMessage == null) {
            cashierMessage = new ArrayList<String>();
        }
        return this.cashierMessage;
    }

    /**
     * Gets the value of the slips property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the slips property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSlips().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PrintSlip }
     * 
     * 
     */
    public List<PrintSlip> getSlips() {
        if (slips == null) {
            slips = new ArrayList<PrintSlip>();
        }
        return this.slips;
    }

    /**
     * Gets the value of the customerDisplayMessage property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customerDisplayMessage property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCustomerDisplayMessage().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CustomerMessage }
     * 
     * 
     */
    public List<CustomerMessage> getCustomerDisplayMessage() {
        if (customerDisplayMessage == null) {
            customerDisplayMessage = new ArrayList<CustomerMessage>();
        }
        return this.customerDisplayMessage;
    }

}
