package ru.crystals.pos.api.plugin.asset;

/**
 * Критерии изображения плагина. На основании данного объекта плагин
 * должен определить, какие изображения подходят под выборку
 */
public class ImageCriteria {

    /**
     * "Способ использования изображения" - данный параметр хранит в себе информацию о том,
     * где именно и на каком типе кассы будет использовано данное изображения
     */
    private String imageUsage;

    public ImageCriteria() {
    }

    public ImageCriteria(String imageUsage) {
        this.imageUsage = imageUsage;
    }

    public String getImageUsage() {
        return imageUsage;
    }

    public void setImageUsage(String imageUsage) {
        this.imageUsage = imageUsage;
    }

    @Override
    public String toString() {
        return "ImageCriteria{" +
                "imageUsage='" + imageUsage + '\'' +
                '}';
    }
}
