package ru.crystals.pos.api.plugin.payment;

/**
 * Общий интерфейс для результатов платежных операций
 *
 * @since 1.5.0
 */
public interface PaymentResult {

    /**
     * Данные о совершенной платежной операции, которые должны быть использованы кассой для печати и сохранения в БД
     */
    PaymentResultData getResultData();
}
