package ru.crystals.pos.spi.receipt;

/**
 * Кассовые операции.
 * Применяется в паре с  {@link ru.crystals.pos.spi.receipt.ReceiptType}:<br>
 * CashOperation.INCOME + ReceiprType.SALE =  чек продажи;<br>
 * CashOperation.INCOME + ReceiprType.REFUND =  чек продажи - возврат;<br>
 * CashOperation.EXPENSE + ReceiprType.SALE =  чек расхода;<br>
 * CashOperation.EXPENSE + ReceiprType.REFUND = чек расхода - возврат.<br>
 *
 * @since 0.0.63
 */
public enum CashOperation {

    /**
     * Приход
     */
    INCOME,

    /**
     * Расход
     */
    EXPENSE;
}
