package ru.crystals.pos.spi.ui;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

public class TableFormRow {
    private final Map<String, String> data = new HashMap<>();

    public void put(String columnKey, String content) {
        data.put(columnKey, content);
    }

    public Map<String, String> getData() {
        return data;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TableFormRow that = (TableFormRow) o;
        return Objects.equals(data, that.data);
    }

    @Override
    public int hashCode() {
        return Objects.hash(data);
    }
}
