package ru.crystals.setapi.plugins;

import ru.crystals.pos.spi.plugin.card.CardSearchEventSource;
import ru.crystals.pos.spi.plugin.card.CardSearchRequest;

import java.util.ArrayList;
import java.util.List;

public class CardSearchRequestEntity implements CardSearchRequest {
    private String searchString;
    private CardSearchEventSource source;
    private List<String> additionalData;

    @Override
    public String getSearchString() {
        return searchString;
    }

    @Override
    public CardSearchEventSource getEventSource() {
        return source;
    }

    @Override
    public List<String> getAdditionalData() {
        if(additionalData == null) {
            additionalData = new ArrayList<>();
        }
        return additionalData;
    }

    public void setSearchString(String searchString) {
        this.searchString = searchString;
    }

    public void setEventSource(CardSearchEventSource source) {
        this.source = source;
    }

    public void setAdditionalData(List<String> additionalData) {
        this.additionalData = additionalData;
    }
}
