package ru.other.company.loy.service.provider;

import java.math.BigDecimal;

public interface Contstants {
    /**
     * код этого поставщика услуг лояльности
     */
    String NAME = "ext.loy.processing.example";

    /**
     * Идентификатор единственной Рекламной Акции в процессинге
     */
    String REGULAR_DISCOUNT_ID = "plugin-discount";

    String BONUS_DISCOUNT_ID = "bonus-discount";
    String TOKENS_DISCOUNT_ID = "tokens-discount";

    /**
     * Доля оригинальной стоимости позиции, что дадим в виде скидки
     */
    BigDecimal DISCOUNT_SHARE = new BigDecimal(0.05);

    /**
     * Идентификатор карты, которая считается "родственной" плагину лояльности.
     * Это идентификатор того карточного плагина, который работает в паре с этим плагином лояльности
     * и выполняет поиск, списание и отмену списания по картам.
     * Плагину лояльности нужно знать "свои" карты, чтобы ошибочно не совершить операции с картами не своего процессинга.
     */
    String MY_CARD_ID = "example.card.provider";
}
