
package ru.crystals.test.plugins.data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CardPluginResult complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CardPluginResult">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="cardInfo" type="{http://crystals.ru/setapi/test/plugin/loyalty}CardInfo" minOccurs="0"/>
 *         &lt;element name="cardSearch" type="{http://crystals.ru/setapi/test/plugin/loyalty}CardSearchResult" minOccurs="0"/>
 *         &lt;element name="rollback" type="{http://crystals.ru/setapi/test/plugin/loyalty}RollbackResponse" minOccurs="0"/>
 *         &lt;element name="writeoff" type="{http://crystals.ru/setapi/test/plugin/loyalty}WriteoffResponse" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CardPluginResult", propOrder = {

})
public class CardPluginResult {

    protected CardInfo cardInfo;
    protected CardSearchResult cardSearch;
    protected RollbackResponse rollback;
    protected WriteoffResponse writeoff;

    /**
     * Gets the value of the cardInfo property.
     * 
     * @return
     *     possible object is
     *     {@link CardInfo }
     *     
     */
    public CardInfo getCardInfo() {
        return cardInfo;
    }

    /**
     * Sets the value of the cardInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardInfo }
     *     
     */
    public void setCardInfo(CardInfo value) {
        this.cardInfo = value;
    }

    /**
     * Gets the value of the cardSearch property.
     * 
     * @return
     *     possible object is
     *     {@link CardSearchResult }
     *     
     */
    public CardSearchResult getCardSearch() {
        return cardSearch;
    }

    /**
     * Sets the value of the cardSearch property.
     * 
     * @param value
     *     allowed object is
     *     {@link CardSearchResult }
     *     
     */
    public void setCardSearch(CardSearchResult value) {
        this.cardSearch = value;
    }

    /**
     * Gets the value of the rollback property.
     * 
     * @return
     *     possible object is
     *     {@link RollbackResponse }
     *     
     */
    public RollbackResponse getRollback() {
        return rollback;
    }

    /**
     * Sets the value of the rollback property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollbackResponse }
     *     
     */
    public void setRollback(RollbackResponse value) {
        this.rollback = value;
    }

    /**
     * Gets the value of the writeoff property.
     * 
     * @return
     *     possible object is
     *     {@link WriteoffResponse }
     *     
     */
    public WriteoffResponse getWriteoff() {
        return writeoff;
    }

    /**
     * Sets the value of the writeoff property.
     * 
     * @param value
     *     allowed object is
     *     {@link WriteoffResponse }
     *     
     */
    public void setWriteoff(WriteoffResponse value) {
        this.writeoff = value;
    }

}
