package ru.crystals.pos.api.plugin.excise.validation;

/**
 * Результат поиска информации о товаре
 */
public class SearchInfoResponse {

    /**
     * Штрихкод товара
     */
    private String barcode;
    /**
     * Артикул товара
     */
    private String item;

    public SearchInfoResponse(String barcode, String item) {
        this.barcode = barcode;
        this.item = item;
    }

    public String getBarcode() {
        return barcode;
    }

    public String getItem() {
        return item;
    }

    @Override
    public String toString() {
        return "SearchInfoResponse{" +
                "barcode= " + barcode +
                ", item= " + item +
                '}';
    }
}
