package ru.crystals.pos.api.plugin.function;

/**
 * Результат проверки доступности вызова функционального плагина
 */
public class FunctionEnableResult {

    /**
     * Признак возможности вызова функционального плагина
     */
    private boolean enable;

    /**
     * Опционально сообщение если вызов функционального плагина недоступен
     */
    private String message;

    public FunctionEnableResult() {
        this(true, null);
    }

    public FunctionEnableResult(boolean enable, String message) {
        this.enable = enable;
        this.message = message;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
