package ru.crystals.pos.api.plugin.function.dto;

/**
 * Ключи данных об оплате кредитом
 */
public enum CreditData {

    /**
     * Полное имя (фио)
     * Касса сохранит значение в плагинное свойство позиции с ключом "fullName"
     */
    FULL_NAME,

    /**
     * Номер контракта.
     * Касса сохранит значение в плагинное свойство позиции с ключом "contractNum"
     */
    CONTRACT_NUM;
}
