package ru.crystals.pos.api.plugin.function.dto;

import java.util.HashMap;
import java.util.Map;

/**
 * Данные для создания изъятия на кассе
 *
 */
public class Withdrawal {
    /**
     * Сумма изъятия
     */
    private long sum;
    /**
     * Идентификатор валюты
     */
    private String currencyId;
    /**
     * Код причины изъятия
     */
    private Integer reasonCode;
    /**
     * Дополнительные свойства изъятия
     */
    private Map<String, String> pluginProperties;

    public long getSum() {
        return sum;
    }

    public void setSum(long sum) {
        this.sum = sum;
    }

    public String getCurrencyId() {
        return currencyId;
    }

    public void setCurrencyId(String currencyId) {
        this.currencyId = currencyId;
    }

    public Integer getReasonCode() {
        return reasonCode;
    }

    public void setReasonCode(Integer reasonCode) {
        this.reasonCode = reasonCode;
    }

    public Map<String, String> getPluginProperties() {
        if (pluginProperties == null) {
            pluginProperties = new HashMap<>();
        }
        return pluginProperties;
    }
}
