package ru.crystals.pos.spi.receipt;

/**
 * Интерфейс для получения информации о категории карты/купона.
 */
public interface CardCategory {

    /**
     * Получить идентификатор категории.
     *
     * @return идентификатор категории
     */
    Long getGuid();

    /**
     * @return имя категории
     * @since 1.0.0
     */
    String getName();
}
