package ru.crystals.pos.spi.receipt;

/**
 * Строка в столбце информационной панели
 */
public class InfoPanelFormItem {
    /**
     * Наименование
     */
    private final String label;
    /**
     * Значение
     */
    private final String value;

    public InfoPanelFormItem(String label, String value) {
        this.label = label;
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public String getValue() {
        return value;
    }
}
