package ru.crystals.pos.spi.receipt;

import java.util.Date;

/**
 * Смена.
 * @since 0.0.73
 */
public interface Shift {

    /**
     * @return номер смены.
     */
    int getNumber();

    /**
     * @return дату и время фискального открытия смены.
     */
    default Date getShiftOpen() {
        return null;
    }

    /**
     * @return регистрационный номер фискального регистратора
     */
    default String getFiscalRegNumber() {
        return null;
    }

    /**
     * @return заводской номер ККТ
     */
    default String getFiscalFactoryNumber() {
        return null;
    }

    /**
     * @return номер ФН / ЭКЛЗ
     */
    default String getFnNumber() {
        return null;
    }

}
